%define upstream_name Horde_Translation
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.0.1
Release:     	%mkrel 4
Summary:    	Horde translation library
License:    	LGPL
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildArch:  	noarch
Requires:    	php-pear
BuildRequires:	php-pear
BuildRequires: 	php-pear-channel-horde
Provides:      	php-pear-Horde_Translation = %{version}


%description
TODO

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Translation.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Translation.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Translation
fi

%files
%defattr(-,root,root)
%{peardir}/Horde/Translation.php
%{peardir}/Horde/Translation/Exception.php
%{peardir}/Horde/Translation/Handler.php
%{peardir}/Horde/Translation/Handler/Gettext.php
%{peardir}/tests/Horde_Translation/Horde/Translation/AllTests.php
%{peardir}/tests/Horde_Translation/Horde/Translation/GettextTest.php
%{peardir}/tests/Horde_Translation/Horde/Translation/TestBase.php
%{peardir}/tests/Horde_Translation/Horde/Translation/WrapperTest.php
%{peardir}/tests/Horde_Translation/Horde/Translation/locale/de/LC_MESSAGES/Horde_Other.mo
%{peardir}/tests/Horde_Translation/Horde/Translation/locale/de/LC_MESSAGES/Horde_Other.po
%{peardir}/tests/Horde_Translation/Horde/Translation/locale/de/LC_MESSAGES/Horde_Translation.mo
%{peardir}/tests/Horde_Translation/Horde/Translation/locale/de/LC_MESSAGES/Horde_Translation.po
%{xmldir}/Horde_Translation.xml


%changelog

* Fri Dec 30 2011 spuhler <spuhler> 1.0.1-4.mga2
+ Revision: 189130
- added %%{version} to Provides: php-pear-Horde_Translation

* Fri Dec 30 2011 spuhler <spuhler> 1.0.1-3.mga2
+ Revision: 189095
- removed notneeded Requires/Conflicts:php-pear-Horde_Exception

* Fri Dec 30 2011 spuhler <spuhler> 1.0.1-2.mga2
+ Revision: 188938
- removed the version on provides

* Mon Nov 07 2011 spuhler <spuhler> 1.0.1-1.mga2
+ Revision: 164729
- upgrade to 1.0.1
-Provides:      	php-pear-Horde_Translation
  +Provides:      	php-pear-Horde_Translation = %%{version}
  changed in Requires: <= to <
- imported package php-pear-Horde_Translation

